import request from '@/utils/request'

// 查询科技计划项目安排列表
export function listProject(query) {
  return request({
    url: '/basicData/xcrTechnologyPlanProject/findByPage',
    method: 'get',
    params: query
  })
}

// 查询科技计划项目安排详细
export function getProject(xhCodeId) {
  return request({
    url: '/basicData/xcrTechnologyPlanProject/' + xhCodeId,
    method: 'get'
  })
}

// 新增科技计划项目安排
export function addProject(data) {
  return request({
    url: '/basicData/xcrTechnologyPlanProject',
    method: 'post',
    data: data
  })
}

// 修改科技计划项目安排
export function updateProject(data) {
  return request({
    url: '/basicData/xcrTechnologyPlanProject',
    method: 'put',
    data: data
  })
}

// 删除科技计划项目安排
export function delProject(xhCodeId) {
  return request({
    url: '/basicData/xcrTechnologyPlanProject/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delProjectBatch(ids) {
  return request.post('/basicData/xcrTechnologyPlanProject/delete',ids)
}
